Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87600 - Call to gluSphere causes Illegal Instruction
Summary: Call to gluSphere causes Illegal Instruction
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-30 05:02 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-29 18:48:26 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-03-30 05:02:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
A call to gluSphere function in a compiled program under XFree86 causes the
program to crash with an Ileagle  instruction warning. This happens under Raedon
7500 mobility chips set as the same call under different hardware (Nvidia) will
run correctly. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile program with gluSphere call on laptop with Raedon 7500 mobility
graphic chip
2. Run 
3. Wait till program gets to gluSphere call, watch it crash.
    

Actual Results:  program crashes

Expected Results:  a nice 3d sphere on screen

Additional info:

Comment 1 Mike A. Harris 2003-04-29 18:48:26 UTC
This bug report is too vague.  Please report it upstream to XFree86.org and
provide enough detailed information, and a specific source code test case
that shows the problem you are claiming exists.  You can report your problem
at:  http://bugs.xfree86.org

Closing bug report as WONTFIX.  If you do report it upstream, feel free to
paste the upstream URL here and reopen for me to track the upstream bug.


Note You need to log in before you can comment on or make changes to this bug.